unit P1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, zLed, zPanel, Blend, Animate;

type
  TForm1 = class(TForm)
    zScope1: TzScope;
    zDblKnob1: TzDblKnob;
    zPanelMeter1: TzPanelMeter;
    zPanelMeter2: TzPanelMeter;
    zLed1: TzLed;
    zBackground1: TzBackground;
    zFrame1: TzFrame;
    zKnob1: TzKnob;
    zNWColorBtn1: TzNWColorBtn;
    zNWColorBtn2: TzNWColorBtn;
    zKnob2: TzKnob;
    zKnob3: TzKnob;
    procedure zDblKnob1Change(Sender: TObject);
    procedure zLed1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure zKnob1Change(Sender: TObject);
    procedure zNWColorBtn1Click(Sender: TObject);
    procedure zNWColorBtn2Click(Sender: TObject);
    procedure zKnob2Change(Sender: TObject);
    procedure zKnob3Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.zDblKnob1Change(Sender: TObject);
begin
  zScope1.Ajust1:=zDblKnob1.Value;
  zScope1.Ajust2:=zDblKnob1.Value2;
end;

procedure TForm1.zLed1Change(Sender: TObject);
begin
  zScope1.Channel1:=Trunc(Random(100)+1);
  zPanelmeter1.Value:=zScope1.Channel1;
  zScope1.Channel2:=Trunc(Random(100)+1);
  zPanelmeter2.Value:=zScope1.Channel2;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Randomize;
  zDblKnob1.Value:=-100;
  zScope1.Ajust1:=zDblKnob1.Value;
  zScope1.Ajust2:=zDblKnob1.Value2;
  zKnob2.Value:=0;
  zKnob3.Value:=1;
end;

procedure TForm1.zKnob1Change(Sender: TObject);
begin
  With zKnob1 Do
    zScope1.FaceColor:=RGB(Value,Value,Value);
end;

procedure TForm1.zNWColorBtn1Click(Sender: TObject);
begin
  zLed1.Blink:=Not(zLed1.Blink);
end;

procedure TForm1.zNWColorBtn2Click(Sender: TObject);
Var
  B : BeamArray;
begin
  FillChar(B,1000,0);
  zScope1.SetAllChannel1(B);
  zScope1.SetAllChannel2(B);
  zPanelmeter1.Value:=0;
  zPanelmeter2.Value:=0;
end;

procedure TForm1.zKnob2Change(Sender: TObject);
begin
  With zScope1 Do Begin
    Case zKnob2.Value of
      0 : Beam1Color:=clLime;
      1 : Beam1Color:=clRed;
      2 : Beam1Color:=clyellow;
      3 : Beam1Color:=clBlue;
      4 : Beam1Color:=clFuchsia;
      5 : Beam1Color:=clAqua;
      6 : Beam1Color:=clWhite;
      7 : Beam1Color:=clSilver;
    End;
  End;
end;

procedure TForm1.zKnob3Change(Sender: TObject);
begin
  With zScope1 Do Begin
    Case zKnob3.Value of
      0 : Beam2Color:=clLime;
      1 : Beam2Color:=clRed;
      2 : Beam2Color:=clyellow;
      3 : Beam2Color:=clBlue;
      4 : Beam2Color:=clFuchsia;
      5 : Beam2Color:=clAqua;
      6 : Beam2Color:=clWhite;
      7 : Beam2Color:=clSilver;
    End;
  End;
end;

end.
